@dashed-border-bottom: 1px dashed var(--label-color);
@transparent-border-bottom: 1px solid transparent;

.pencil-icon {
  display: none;
  color: #c7c9cc;
  margin: auto 0 auto 5px;
}

div {
  &.read {
    display: inline-block;
    border-bottom: @transparent-border-bottom;
  }

  &.editable {
    &:hover {
      border-bottom: @dashed-border-bottom;
      cursor: text;

      i {
        display: inline-block;
      }
    }
  }

  &.edit {
    ::ng-deep input {
      font-size: inherit !important;
      width: 100%;

      &:focus {
        box-shadow: none;
      }
    }
  }
}
